<?php
defined('IN_FUSION') || exit;
$settings = get_settings('daty_panel');
echo '<div class="container">
  <div class="row">
    <div class="col-md-6 bg-primary">
</div>
    <div class="col-md-6 bg-secondary">
         Plan Dnia  </div>
    <div class="col-md-6 bg-secondary"> ';
    $file_path = INFUSIONS . 'daty_panel/dane_miesiaca.txt';

// Sprawdzenie, czy plik istnieje
if (file_exists($file_path)) {
    // Odczytanie zawartości pliku
    $contents = file_get_contents($file_path);
    
    // Dekodowanie zawartości pliku z formatu JSON do tablicy
    $tablica_danych = json_decode($contents, true);
    
    // Pobranie aktualnej daty
    $dzien = date('j');
    
    // Sprawdzenie, czy dla aktualnego dnia istnieją dane w tablicy
    if (array_key_exists($dzien, $tablica_danych)) {
        echo "<h4>Przysłowia na (Dzień $dzien):\n";
        
        // Rozdzielenie tekstu na zdania i wyświetlenie każdego zdania oddzielnie
        $zdania = explode(".", $tablica_danych[$dzien]);
        foreach ($zdania as $zdanie) {
            // Usuń białe znaki na początku i na końcu zdania
            $zdanie = trim($zdanie);
            // Sprawdź, czy zdanie nie jest puste
            if (!empty($zdanie)) {
                // Dodaj znacznik <p> i </p> wokół zdania
                echo "<p>$zdanie.</p>";
            }
        }
        echo "</h4>";
    } else {
        echo "<h3>Brak danych dla dzisiaj (Dzień $dzien).</h3>";
    }
} else {
    echo "<h3>Plik z danymi nie istnieje.</h3>";
}
echo '    </div>
  </div>
</div>';?>